v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/titration-impact
Checks whether titration has any impact on kit dispensation or not. Rights: OrsRandListGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
treatmentId(required): string(uuid)
Treatment ID of the subject.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : TitrationImpactTO v1.0
Type:
objectTitle:
TitrationImpactTO v1.0Titration impact on dispensation.
Show Source
-
impact: boolean
Title:
ImpactIndicates whether titration impacts dispensation.Example:true
Examples
400 Response
Invalid subject
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples